Servo.c
-------

### int set_torque(int addr,bool state):
        Включение(отключение) питания обмоток двигателя
        Args:      
            * addr: адрес устройства            
            * state: 
                0 - отключение питания обмоток двигателя, обмотки замкнуты, двигатель в торможении. 
                1 - Включение питания обмоток двигателя. 
        Returns:
            *  0  если отправка команды прошла успешно
            * -1 если при отправке команды произошла ошибка


### int set_command(int addr, int16_t command):
        Write command to servo.
        Args:
            * addr: адрес устройства 
            * command: one of available commands. 
        Returns:
            *  0  если отправка команды прошла успешно
            * -1 если при отправке команды произошла ошибка


### int set_point(int addr,int16_t setpoint):
        Установка задачи. (Положение, скорость, ШИМ в зависимости от режима работы)
        Args:
            * addr: адрес устройства 
            * value: Требуемое значение. от -32000 to 32000. 
        Returns:
            *  0  если отправка команды прошла успешно
            * -1 если при отправке команды произошла ошибка


### int set_Pos_PID_P(int addr,float value):
        Запись коэф. P в ПИД регулятор по положению.
        Args:
            * addr: адрес устройства 
            * value: Желаемое значение в диапазоне от 0.01 to 50.0. 
        Returns:
            *  0  если отправка команды прошла успешно
            * -1 если при отправке команды произошла ошибка


### int set_Pos_PID_I(int addr,float value):
        Запись коэф. I в ПИД регулятор по положению.
        Args:
            * addr: адрес устройства 
            * value: Желаемое значение в диапазоне от 0.01 to 50.0. 
        Returns:
            *  0  если отправка команды прошла успешно
            * -1 если при отправке команды произошла ошибка


### int set_Pos_PID_D(int addr,float value):
        Запись коэф. D в ПИД регулятор по положению.
        Args:
            * addr: адрес устройства 
            * value (int): Желаемое значение в диапазоне от 0.01 to 50.0. 
        Returns:
            *  0  если отправка команды прошла успешно
            * -1 если при отправке команды произошла ошибка

  
### int set_Speed_PID_P(int addr,float value):
        Запись коэф. P в ПИД регулятор по скорости.
        Args:
            * addr: адрес устройства 
            * value (int): Желаемое значение в диапазоне от 0.01 to 50.0. 
        Returns:
            *  0  если отправка команды прошла успешно
            * -1 если при отправке команды произошла ошибка


### int set_Speed_PID_I(int addr,float value):
        Запись коэф. I в ПИД регулятор по скорости.
        Args:
            * addr: адрес устройства 
            * value: Желаемое значение в диапазоне от 0.01 to 50.0. 
        Returns:
            *  0  если отправка команды прошла успешно
            * -1 если при отправке команды произошла ошибка


### int set_Speed_PID_D(int addr,float value):
        Запись коэф. D в ПИД регулятор по скорости.
        Args:
            * addr: адрес устройства 
            * value: Желаемое значение в диапазоне от 0.01 to 50.0. 
        Returns:
            *  0  если отправка команды прошла успешно
            * -1 если при отправке команды произошла ошибка


### int set_PID_Mode(int addr,int mode):
        Высталвение режима работы ПИД регуляторов сервопривода.
        Args:
            * addr: адрес устройства 
            * mode: Режим работы.
                "NORMAL" - каскадный режим ПИД ругялтора по скорости и положению.
                "PWM" - отключение всех ПИД регуляторов и прямое управление скважностью ШИМ.
                "SPEED" - включение только ПИД регулятора поп сокрости.                  
        Returns:
            * True если отправка команды прошла успешно
            * False если при отправке команды произошла ошибка

 
### struct servo_data get_servo_data(int addr):
        Чтение данных с сервопривода
        Args:
            addr: адрес устройства 
        Returns:
            данные с сервопривода. Словарь с ключами:
                "ID"
                "Torque", 
                "Setpoint" 
                "Position" 
                "Speed" 
                "Command" 
                "Current" 
                "Pos_PID_P" 
                "Pos_PID_I" 
                "Pos_PID_D" 
                "Speed_PID_P" 
                "Speed_PID_I" 
                "Speed_PID_D" 
                "Errors"

